---
title: Rerendering pages on MDN
slug: MDN/Tools/Page_regeneration
tags:
  - Guide
  - MDN Meta
  - Page-level
  - Tools
---
<div>{{MDNSidebar}}</div>

<p>The MDN site caches pages for performance reasons. As a result, changes that you save to a page might not appear when you next reload the page. Often, but not always, a banner appears on the page indicating that an update of the page is in process. You can do a "force refresh" in your browser to reload the page from the server, but this may have no effect if the update on the server has not completed.</p>

<p>Some pages (especially landing pages) use macros to  automatically generate and update their content. For landing pages, doing this ensures that new articles are automatically listed on the page, without a writer having to manually add them. This is a helpful convenience for long-time contributors, and helps newcomers avoid having their work lost in the shuffle because they didn't know how to link their articles into the site hierarchy.</p>

<p>This can also be used when transcluding content from one page into other pages (using, for example, the {{TemplateLink("Page")}} macro).</p>

<p><span class="seoSummary">Because MDN caches rendered content for performance reasons, changes made to source material (such as macro output or transcluded pages) are not automatically reflected in the page. If you expect frequent changes to such source materials, you might want to consider enabling automatic regeneration of your page.</span></p>

<p>To enable automatic regeneration:</p>

<ol>
 <li>Click the <strong>Edit</strong> button on the page to enter edit mode.</li>
 <li>Under the page title, click <strong>Edit page title and properties</strong> located near the page title. The page metadata fields appear.</li>
 <li>Set a  value for <strong>Rendering max age</strong>. This value determines the schedule on which the cached page is rebuilt, including re-running its macros. Typically, we use 4 or 8 hours for this. For a technology whose documentation is changing rapidly, you might choose a lower number.</li>
 <li>Save your changes to the page. It's a good practice to make a revision comment describing what you did, such as "Set rendering max age to 4 hours". </li>
</ol>

<p>The page will get regenerated automatically on the schedule you specified.</p>

<div class="note">
<p><strong>Note:</strong> The "Edit page title and properties" option is not available when creating a new page; you'll have to re-open the editor after your first save.</p>
</div>
